Bug 59104 - (alpha) XFree86-4.1.0-15 is a console killer
(alpha) XFree86-4.1.0-15 is a console killer
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-30 19:43 EST by Michal Jaegermann
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 08:17:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-01-30 19:43:08 EST
Description of Problem:

On two Nautilus machines, namely
  UP1100 with MGA 450 graphics card and
  UP1500 with RIVA TNT2 (Nvidia)
both AGP, version XFree86-4.1.0-15.alpha kills a text console.
That means that after switching from graphics screen one can
see the whole display filled with gray vertical stripes, with
possibly blotches of colour here and there, and cursor bar
blinking in some random location.

Switching back to XFree86-4.1.0-8.alpha (from beta set) restores
sanity and consoles in both cases.

To be more precise - UP1100 has installed distro 7.1 with all
current updates which implies various 4.1.0-15 packages.  It is
sufficient to put (--oldpackage) XFree86-4.1.0-8.alpha ONLY,
without touching any other related stuff, to get text consoles back.

On UP1500 the situation is reverse.  It has all 4.1.0-8 and adding to
it XFree86-4.1.0-15 (once again, no other packages) has an immediate
detrimental effect fixed by restoring XFree86-4.1.0-8.

There is one way save reboot, for 'root', to get back text console by
typing 'telinit 1'.  Once this level is reached a normally looking screen
is back.  'telinit 3' is not good enough and then one has to type
'telinit 1' in blind. :-)

See also #57787 but that one was about experimental, not released,
stuff.
Comment 1 Mike A. Harris 2002-12-21 16:58:42 EST
Ugh..  more AGP+alpha...   ;o)

When I do finally get one of these beasts, I'm going to be a busy person.
;o)
Comment 2 Michal Jaegermann 2002-12-22 01:28:45 EST
> When I do finally get one of these beasts, I'm going to be a busy person.

I kind of doubt it.  So far I did not observe that effect in any variant
of XFree86-4.2.0 I was using.  It is possible, of course, that somebody
will slip in some "improvement" again.
Comment 3 Mike A. Harris 2005-04-20 08:17:42 EDT
Don't have AGP Alpha hardware, and we don't ship Alpha anymore.  Safe to
close this oldie as WONTFIX now I think.

Note You need to log in before you can comment on or make changes to this bug.